function skill3045()

local mid=battle.GetActingPlayerID()
MPb=player.GetMP(mid,1)--百分比
MPs=player.GetMP(mid,0)--具体数值
MPz=(MPs/MPb)*100--总共的神
MPx=(MPs/MPb)*50

if MPb>=50 then
player.ChangeMP(1,0,mid,-50)
else
player.ChangeMP(0,0,mid,-MPs)
MPx=MPs
end

for pis=1,9,1 do
	if battle.CheckPlayerPlace(pis)==1 then
	   pisd=battle.GetPlacePlayerID(pis)
       player.ChangeDP(0,pisd,MPx*0.08)
       player.CreateSE(pisd,3911)
	end
end

end